<html>
<head>
<title>Ogre::CategorisedAllocPolicy&lt; Cat &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CategorisedAllocPolicy.html">CategorisedAllocPolicy</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::CategorisedAllocPolicy&lt; Cat &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::CategorisedAllocPolicy" --><!-- doxytag: inherits="Ogre::NedPoolingPolicy" -->
<p><code>#include &lt;<a class="el" href="OgreMemoryAllocatorConfig_8h_source.html">OgreMemoryAllocatorConfig.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::CategorisedAllocPolicy&lt; Cat &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1CategorisedAllocPolicy__inherit__graph.gif" border="0" usemap="#Ogre_1_1CategorisedAllocPolicy_3_01Cat_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1CategorisedAllocPolicy_3_01Cat_01_4_inherit__map" id="Ogre_1_1CategorisedAllocPolicy_3_01Cat_01_4_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1NedPoolingPolicy.html" title="An allocation policy for use with AllocatedObject and STLAllocator." alt="" coords="44,5,204,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1CategorisedAllocPolicy-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NedPoolingPolicy.html#a13e73e5a7bc0e7787da15a35c2396ff3">allocateBytes</a> (size_t count, const char *file=0, int line=0, const char *func=0)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NedPoolingPolicy.html#add949c266f9c3632890c4569bf436080">deallocateBytes</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NedPoolingPolicy.html#a6d5ebb0fcc3695cf27bb7f5981373ead">getMaxAllocationSize</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the maximum size of a single allocation.  <a href="#a6d5ebb0fcc3695cf27bb7f5981373ead"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;MemoryCategory Cat&gt;<br/>
class Ogre::CategorisedAllocPolicy&lt; Cat &gt;</h3>


<p>Definition at line <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00200">200</a> of file <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html">OgreMemoryAllocatorConfig.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a13e73e5a7bc0e7787da15a35c2396ff3"></a><!-- doxytag: member="Ogre::CategorisedAllocPolicy::allocateBytes" ref="a13e73e5a7bc0e7787da15a35c2396ff3" args="(size_t count, const char *file=0, int line=0, const char *func=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void* <a class="el" href="classOgre_1_1NedPoolingPolicy.html#a13e73e5a7bc0e7787da15a35c2396ff3">Ogre::NedPoolingPolicy::allocateBytes</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryNedPooling_8h_source.html#l00068">68</a> of file <a class="el" href="OgreMemoryNedPooling_8h_source.html">OgreMemoryNedPooling.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1NedPoolingImpl.html#ac6b56adc813c89aa4d8398f8364041e9">Ogre::NedPoolingImpl::allocBytes()</a>.</p>

</div>
</div>
<a class="anchor" id="add949c266f9c3632890c4569bf436080"></a><!-- doxytag: member="Ogre::CategorisedAllocPolicy::deallocateBytes" ref="add949c266f9c3632890c4569bf436080" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1NedPoolingPolicy.html#add949c266f9c3632890c4569bf436080">Ogre::NedPoolingPolicy::deallocateBytes</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryNedPooling_8h_source.html#l00073">73</a> of file <a class="el" href="OgreMemoryNedPooling_8h_source.html">OgreMemoryNedPooling.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1NedPoolingImpl.html#ad2f012d0a2203f798f34206efb57556b">Ogre::NedPoolingImpl::deallocBytes()</a>.</p>

</div>
</div>
<a class="anchor" id="a6d5ebb0fcc3695cf27bb7f5981373ead"></a><!-- doxytag: member="Ogre::CategorisedAllocPolicy::getMaxAllocationSize" ref="a6d5ebb0fcc3695cf27bb7f5981373ead" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static size_t <a class="el" href="classOgre_1_1NedPoolingPolicy.html#a6d5ebb0fcc3695cf27bb7f5981373ead">Ogre::NedPoolingPolicy::getMaxAllocationSize</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the maximum size of a single allocation. </p>

<p>Definition at line <a class="el" href="OgreMemoryNedPooling_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryNedPooling_8h_source.html">OgreMemoryNedPooling.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMemoryAllocatorConfig_8h_source.html">OgreMemoryAllocatorConfig.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
